Packages - Bug #2568

[lightspark] Depends on old Boost
2019-12-02 03:00 PM - Anonymous

Status: fixed % Done: 0%
Priority: broken

Assignee: bill-auger

Category:

Description

Lightspark cannot be started because it depends on older Boost:

lightspark: error while loading shared libraries: libboost_filesystem.so0.1.69.0: cannot open share
d object file: No such file or directory

It looks like simple rebuild will fix it.

History

#1 - 2020-02-01 11:03 PM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to in progress

#2 - 2020-02-02 02:26 AM - bill-auger

- Priority changed from bug to broken

this looks like the latest boost-libs breaks this program - i686 built successfully against boost-libs v1.71.0; but x86_64 and armv7h (both with
boost-libs v1.72.0) fail with some unknown *_BOOST_* macros

| /usr/include/boost/bimap/detail/map_view_iterator.hpp:330:5: error: expected ‘;’ at end of member declarat
ion

| 330 | BOOST_BIMAP_MAP_VIEW_ITERATOR_SERIALIZATION_SUPPORT
| In file included from /usr/include/boost/bimap/detail/set_view_base.hpp:24,

| from /usr/include/boost/bimap/views/set_view.hpp:22,

| from /usr/include/boost/bimap/set_of.hpp:40,

| from /usr/include/boost/bimap/detail/manage_bimap_key.hpp:26,

| from /usr/include/boost/bimap/detail/bimap_core.hpp:43,

| from /usr/include/boost/bimap/bimap.hpp:61,

| from /usr/include/boost/bimap.hpp:13,

| from /build/lightspark/src/lightspark-0.8.2/src/swf.h:29,

| from /build/lightspark/src/lightspark-0.8.2/src/backends/decoder.cpp:26:

| /usr/include/boost/bimap/detail/set_view_iterator.hpp:93:38: error: expected ‘;’ at end of member declarat
ion

| 93 | BOOST_SERIALIZATION_SPLIT_MEMBER ()
| | ~
| | i
#3 - 2020-02-02 08:10 PM - bill-auger

- Status changed from in progress to forwarded upstream

upstream has a patch for this - presumably, it will make the next release

https://github.com/lightspark/lightspark/issues/406
https://github.com/lightspark/lightspark/pull/409

#4 - 2020-02-02 10:51 PM - bill-auger

- Status changed from forwarded upstream to fixed
